Thu, 05 Aug 2021 09:19:27 UTC

Information for RPM maven-shade-plugin-3.2.1-2.module_el8.2.0+361+5214161a.noarch.rpm

ID162281
Namemaven-shade-plugin
Version3.2.1
Release2.module_el8.2.0+361+5214161a
Epoch
Archnoarch
SummaryThis plugin provides the capability to package the artifact in an uber-jar
DescriptionThis plugin provides the capability to package the artifact in an uber-jar, including its dependencies and to shade - i.e. rename - the packages of some of the dependencies.
Build Time2020-05-21 15:00:08 GMT
Size124443
ce334334cea70c4bdaabdfe394de07ea
LicenseASL 2.0
Buildrootmodule-javapackages-tools-201902-8020020200521014252-af5e9d52-build-45248-7671
Provides
maven-shade-plugin = 3.2.1-2.module_el8.2.0+361+5214161a
mvn(org.apache.maven.plugins:maven-shade-plugin) = 3.2.1
mvn(org.apache.maven.plugins:maven-shade-plugin:pom:) = 3.2.1
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
java-headless >= 1:1.7
javapackages-filesystem
mvn(com.google.guava:guava)
mvn(commons-io:commons-io)
mvn(org.apache.maven.shared:maven-artifact-transfer)
mvn(org.apache.maven.shared:maven-dependency-tree)
mvn(org.apache.maven:maven-artifact)
mvn(org.apache.maven:maven-core)
mvn(org.apache.maven:maven-model)
mvn(org.apache.maven:maven-plugin-api)
mvn(org.codehaus.plexus:plexus-utils)
mvn(org.jdom:jdom2)
mvn(org.ow2.asm:asm)
mvn(org.ow2.asm:asm-commons)
mvn(org.vafer:jdependency)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 8 of 8
Name ascending sort Size
/usr/share/java/maven-shade-plugin0
/usr/share/java/maven-shade-plugin/maven-shade-plugin.jar116442
/usr/share/licenses/maven-shade-plugin0
/usr/share/licenses/maven-shade-plugin/LICENSE11358
/usr/share/licenses/maven-shade-plugin/NOTICE182
/usr/share/maven-metadata/maven-shade-plugin.xml6012
/usr/share/maven-poms/maven-shade-plugin0
/usr/share/maven-poms/maven-shade-plugin/maven-shade-plugin.pom9416
Component of No Buildroots